com.amazonaws.codegen.model.intermediate

## Class OperationModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel
  - - com.amazonaws.codegen.model.intermediate.OperationModel

    public class OperationModel
    extends DocumentationModel

### Field Summary

### Fields inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`documentation`

### Constructor Summary

Constructors
Constructor and Description
`OperationModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addException(ExceptionModel exception)`
`void` `addSimpleMethodForm(List<ArgumentModel> arguments)`
`String` `getAsyncCallableType()`
`String` `getAsyncDocumentation(Metadata md)`
`String` `getAsyncDocumentationWithHandler(Metadata md)`
`String` `getAsyncFutureType()`
`String` `getAsyncHandlerType()`
`String` `getAsyncReturnType()`
`List<ExceptionModel>` `getExceptions()`
`boolean` `getHasBlobMemberAsPayload()`
`VariableModel` `getInput()`
`ShapeModel` `getInputShape()`
`String` `getInputStreamPropertyName()`
`String` `getMethodName()`
`String` `getOperationName()`
`ShapeModel` `getOutputShape()`
`ReturnTypeModel` `getReturnType()`
`List<SimpleMethodFormModel>` `getSimpleMethodForms()`
`String` `getSyncDocumentation(Metadata md)`
`String` `getSyncReturnType()`
`boolean` `isAuthenticated()`
`boolean` `isDeprecated()`
`void` `setDeprecated(boolean deprecated)`
`void` `setExceptions(List<ExceptionModel> exceptions)`
`void` `setHasBlobMemberAsPayload(boolean hasBlobMemberAsPayload)`
`void` `setInput(VariableModel input)`
`void` `setInputShape(ShapeModel inputShape)`
`void` `setInputStreamPropertyName(String inputStreamPropertyName)`
`void` `setIsAuthenticated(boolean isAuthenticated)`
`void` `setOperationName(String operationName)`
`void` `setOutputShape(ShapeModel outputShape)`
`void` `setReturnType(ReturnTypeModel returnType)`

### Methods inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`getDocumentation, setDocumentation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OperationModel

    public OperationModel()

### Method Detail

#### getOperationName

    public String getOperationName()

#### setOperationName

    public void setOperationName(String operationName)

#### getMethodName

    public String getMethodName()

#### isDeprecated

    public boolean isDeprecated()

#### setDeprecated

    public void setDeprecated(boolean deprecated)

#### getSyncDocumentation

    public String getSyncDocumentation(Metadata md)

#### getAsyncDocumentation

    public String getAsyncDocumentation(Metadata md)

#### getAsyncDocumentationWithHandler

    public String getAsyncDocumentationWithHandler(Metadata md)

#### isAuthenticated

    public boolean isAuthenticated()

#### setIsAuthenticated

    public void setIsAuthenticated(boolean isAuthenticated)

#### getInputShape

    public ShapeModel getInputShape()

#### setInputShape

    public void setInputShape(ShapeModel inputShape)

#### getOutputShape

    public ShapeModel getOutputShape()

#### setOutputShape

    public void setOutputShape(ShapeModel outputShape)

#### getInput

    public VariableModel getInput()

#### setInput

    public void setInput(VariableModel input)

#### getInputStreamPropertyName

    public String getInputStreamPropertyName()

#### setInputStreamPropertyName

    public void setInputStreamPropertyName(String inputStreamPropertyName)

#### getReturnType

    public ReturnTypeModel getReturnType()

#### setReturnType

    public void setReturnType(ReturnTypeModel returnType)

#### getSyncReturnType

    public String getSyncReturnType()

#### getAsyncReturnType

    public String getAsyncReturnType()

#### getAsyncFutureType

    public String getAsyncFutureType()

#### getAsyncCallableType

    public String getAsyncCallableType()

#### getAsyncHandlerType

    public String getAsyncHandlerType()

#### getExceptions

    public List<ExceptionModel> getExceptions()

#### setExceptions

    public void setExceptions(List<ExceptionModel> exceptions)

#### addException

    public void addException(ExceptionModel exception)

#### getSimpleMethodForms

    public List<SimpleMethodFormModel> getSimpleMethodForms()

#### addSimpleMethodForm

    public void addSimpleMethodForm(List<ArgumentModel> arguments)

#### getHasBlobMemberAsPayload

    public boolean getHasBlobMemberAsPayload()

#### setHasBlobMemberAsPayload

    public void setHasBlobMemberAsPayload(boolean hasBlobMemberAsPayload)